#include "window.h"
#include <QTimer>
#include <QOpenGLFunctions>

void Window::initializeGL()
{
	QOpenGLFunctions *f = QOpenGLContext::currentContext()->functions();
	if(!mRenderer){
		qDebug() <<  QOpenGLContext::currentContext()->format();
		mRenderer = new CustomRenderer(f);
		mRenderer->initialize();
	}
}

void Window::paintGL()
{
	mRenderer->render();
	QTimer::singleShot(0, this, [this](){
		this->update();
	});
}

